| [ Index ] |
PHP Cross Reference of WordPress Trunk (Updated Daily) |
[Source view] [Print] [Project Stats]
REST API: WP_REST_Taxonomies_Controller class
| File Size: | 462 lines (14 kb) |
| Included or required: | 0 times |
| Referenced: | 0 times |
| Includes or requires: | 0 files |
WP_REST_Taxonomies_Controller:: (10 methods):
__construct()
register_routes()
get_items_permissions_check()
get_items()
get_item_permissions_check()
get_item()
prepare_item_for_response()
prepare_links()
get_item_schema()
get_collection_params()
Class: WP_REST_Taxonomies_Controller - X-Ref
Core class used to manage taxonomies via the REST API.| __construct() X-Ref |
| Constructor. |
| register_routes() X-Ref |
| Registers the routes for taxonomies. |
| get_items_permissions_check( $request ) X-Ref |
| Checks whether a given request has permission to read taxonomies. return: true|WP_Error True if the request has read access, WP_Error object otherwise. param: WP_REST_Request $request Full details about the request. |
| get_items( $request ) X-Ref |
| Retrieves all public taxonomies. return: WP_REST_Response Response object on success, or WP_Error object on failure. param: WP_REST_Request $request Full details about the request. |
| get_item_permissions_check( $request ) X-Ref |
| Checks if a given request has access to a taxonomy. return: bool|WP_Error True if the request has read access for the item, otherwise false or WP_Error object. param: WP_REST_Request $request Full details about the request. |
| get_item( $request ) X-Ref |
| Retrieves a specific taxonomy. return: WP_REST_Response|WP_Error Response object on success, or WP_Error object on failure. param: WP_REST_Request $request Full details about the request. |
| prepare_item_for_response( $item, $request ) X-Ref |
| Prepares a taxonomy object for serialization. return: WP_REST_Response Response object. param: WP_Taxonomy $item Taxonomy data. param: WP_REST_Request $request Full details about the request. |
| prepare_links( $taxonomy ) X-Ref |
| Prepares links for the request. return: array Links for the given taxonomy. param: WP_Taxonomy $taxonomy The taxonomy. |
| get_item_schema() X-Ref |
| Retrieves the taxonomy's schema, conforming to JSON Schema. return: array Item schema data. |
| get_collection_params() X-Ref |
| Retrieves the query params for collections. return: array Collection parameters. |
| Generated : Thu May 14 08:20:03 2026 | Cross-referenced by PHPXref |